weka.core.pmml.jaxbbindings

## Enum RESULTFEATURE

- java.lang.Object
- - java.lang.Enum<RESULTFEATURE>
  - - weka.core.pmml.jaxbbindings.RESULTFEATURE

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RESULTFEATURE>

      public enum RESULTFEATURE
      extends java.lang.Enum<RESULTFEATURE>

  Java class for RESULT-FEATURE.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="RESULT-FEATURE">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="predictedValue"/>
           <enumeration value="predictedDisplayValue"/>
           <enumeration value="transformedValue"/>
           <enumeration value="decision"/>
           <enumeration value="probability"/>
           <enumeration value="affinity"/>
           <enumeration value="residual"/>
           <enumeration value="standardError"/>
           <enumeration value="clusterId"/>
           <enumeration value="clusterAffinity"/>
           <enumeration value="entityId"/>
           <enumeration value="entityAffinity"/>
           <enumeration value="warning"/>
           <enumeration value="ruleValue"/>
           <enumeration value="reasonCode"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AFFINITY`
    `CLUSTER_AFFINITY`
    `CLUSTER_ID`
    `DECISION`
    `ENTITY_AFFINITY`
    `ENTITY_ID`
    `PREDICTED_DISPLAY_VALUE`
    `PREDICTED_VALUE`
    `PROBABILITY`
    `REASON_CODE`
    `RESIDUAL`
    `RULE_VALUE`
    `STANDARD_ERROR`
    `TRANSFORMED_VALUE`
    `WARNING`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RESULTFEATURE` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static RESULTFEATURE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RESULTFEATURE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AFFINITY

          public static final RESULTFEATURE AFFINITY

    - #### CLUSTER_AFFINITY

          public static final RESULTFEATURE CLUSTER_AFFINITY

    - #### CLUSTER_ID

          public static final RESULTFEATURE CLUSTER_ID

    - #### DECISION

          public static final RESULTFEATURE DECISION

    - #### ENTITY_AFFINITY

          public static final RESULTFEATURE ENTITY_AFFINITY

    - #### ENTITY_ID

          public static final RESULTFEATURE ENTITY_ID

    - #### PREDICTED_DISPLAY_VALUE

          public static final RESULTFEATURE PREDICTED_DISPLAY_VALUE

    - #### PREDICTED_VALUE

          public static final RESULTFEATURE PREDICTED_VALUE

    - #### PROBABILITY

          public static final RESULTFEATURE PROBABILITY

    - #### REASON_CODE

          public static final RESULTFEATURE REASON_CODE

    - #### RESIDUAL

          public static final RESULTFEATURE RESIDUAL

    - #### RULE_VALUE

          public static final RESULTFEATURE RULE_VALUE

    - #### STANDARD_ERROR

          public static final RESULTFEATURE STANDARD_ERROR

    - #### TRANSFORMED_VALUE

          public static final RESULTFEATURE TRANSFORMED_VALUE

    - #### WARNING

          public static final RESULTFEATURE WARNING

  - ### Method Detail

    - #### values

          public static RESULTFEATURE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RESULTFEATURE c : RESULTFEATURE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RESULTFEATURE valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static RESULTFEATURE fromValue(java.lang.String v)